# RTLS Monitor

This application connects to a running `websocket_server` agent process connected to RTLS devices connected via serial port.

## Prerequisites

- CC2640R2SDK 2.40
  - [View in Resource Explorer](http://dev.ti.com/tirex/#/?link=Software%2FSimpleLink%20CC2640R2%20SDK)
  - [Download installer](http://www.ti.com/tool/download/SIMPLELINK-CC2640R2-SDK)
- LaunchPads programmed with example apps
  - rtls_master (one device)
  - rtls_slave (one device)
  - rtls_passive (one or more devices)
- Running RTLS Agent (`websocket_server`)
  - `<sdk folder>/tools/blestack/rtls_agent/websocket_server(.exe)`
  - **NOTE:** Agent tool should not connect to `rtls_slave` as it has no serial communication.

Please see `README.md` in the `tools/blestack/rtls_agent/` folder of the SDK for information on how to run the agent. In brief, connect it to the `Application/User UART` serial port of each rtls_master or rtls_passive LauncPad.

## Using

If you launch `websocket_server` with no command line arguments, it will default to opening a websocket on port `8766`, which is the default configuration in the GUI.

Once the agent software is running, click `Connect`, and it will automatically discover the connected nodes and initiate a BLE connection and enable either Angle of Arrival or Time of Flight sample streaming.

## Modifying

Import this GUI Composer project into GUI Composer via the gallery on dev.ti.com/gallery and change either the GUI or the code (app.js).